8.126 --lower_rwpi, --no_lower_rwpi

Enables and disables less restrictive C and C++ when compiling with --apcs=/rwpi.

Default

The default is --lower_rwpi.

Note

If you compile with --lower_rwpi, then the static initialization is done at runtime by the C++ constructor mechanism, even for C. This enables these static initializations to work with RWPI code.

Related concepts
2.13 Code compatibility between separately compiled and assembled modules
Related reference
8.125 --lower_ropi, --no_lower_ropi
8.6 --apcs=qualifier...qualifier
Non-ConfidentialPDF file icon PDF versionARM DUI0472J
Copyright © 2010-2013 ARM. All rights reserved.